grknight 15/05/09 18:53:27
Modified: ChangeLog
Added: mariadb-5.5.43-r1.ebuild mariadb-10.0.19.ebuild
Removed: mariadb-10.0.18.ebuild mariadb-10.0.17.ebuild
mariadb-5.5.43.ebuild
Log:
Version bump and revision bump to fix upstream MDEV-8115 bug which can crash
the upgrade process; Drop old
(Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key
0xD1F781EFF9F4A3B6)
Revision Changes Path
1.104 dev-db/mariadb/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mariadb/ChangeLog?rev=1.104&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mariadb/ChangeLog?rev=1.104&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mariadb/ChangeLog?r1=1.103&r2=1.104
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-db/mariadb/ChangeLog,v
retrieving revision 1.103
retrieving revision 1.104
diff -u -r1.103 -r1.104
--- ChangeLog 8 May 2015 03:59:23 -0000 1.103
+++ ChangeLog 9 May 2015 18:53:27 -0000 1.104
@@ -1,6 +1,15 @@
# ChangeLog for dev-db/mariadb
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mariadb/ChangeLog,v 1.103 2015/05/08
03:59:23 grknight Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mariadb/ChangeLog,v 1.104 2015/05/09
18:53:27 grknight Exp $
+
+*mariadb-5.5.43-r1 (09 May 2015)
+*mariadb-10.0.19 (09 May 2015)
+
+ 09 May 2015; Brian Evans <[email protected]> +mariadb-10.0.19.ebuild,
+ +mariadb-5.5.43-r1.ebuild, -mariadb-10.0.17.ebuild, -mariadb-10.0.18.ebuild,
+ -mariadb-5.5.43.ebuild:
+ Version bump and revision bump to fix upstream MDEV-8115 bug which can crash
+ the upgrade process; Drop old
*mariadb-10.0.18 (08 May 2015)
1.1 dev-db/mariadb/mariadb-5.5.43-r1.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mariadb/mariadb-5.5.43-r1.ebuild?rev=1.1&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mariadb/mariadb-5.5.43-r1.ebuild?rev=1.1&content-type=text/plain
Index: mariadb-5.5.43-r1.ebuild
===================================================================
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/mariadb/mariadb-5.5.43-r1.ebuild,v
1.1 2015/05/09 18:53:27 grknight Exp $
EAPI="5"
MY_EXTRAS_VER="20150509-1847Z"
# Build system
BUILD="cmake"
inherit toolchain-funcs mysql-v2
# only to make repoman happy. it is really set in the eclass
IUSE="$IUSE"
# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc
~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos
~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
# When MY_EXTRAS is bumped, the index should be revised to exclude these.
EPATCH_EXCLUDE=''
DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
RDEPEND="${RDEPEND}"
# Please do not add a naive src_unpack to this ebuild
# If you want to add a single patch, copy the ebuild to an overlay
# and create your own mysql-extras tarball, looking at 000_index.txt
# Official test instructions:
# USE='embedded extraengine perl ssl static-libs community' \
# FEATURES='test userpriv -usersandbox' \
# ebuild mariadb-X.X.XX.ebuild \
# digest clean package
src_test() {
local TESTDIR="${BUILD_DIR}/mysql-test"
local retstatus_unit
local retstatus_tests
# Bug #213475 - MySQL _will_ object strenously if your machine is named
# localhost. Also causes weird failures.
[[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be
named localhost"
if ! use "minimal" ; then
if [[ $UID -eq 0 ]]; then
die "Testing with FEATURES=-userpriv is no longer
supported by upstream. Tests MUST be run as non-root."
fi
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
addpredict /this-dir-does-not-exist/t9.MYI
# Run CTest (test-units)
cmake-utils_src_test
retstatus_unit=$?
[[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
# Ensure that parallel runs don't die
export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
# Enable parallel testing, auto will try to detect number of
cores
# You may set this by hand.
# The default maximum is 8 unless MTR_MAX_PARALLEL is increased
export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
# create directories because mysqladmin might right out of order
mkdir -p "${T}"/var-tests{,/log}
# create symlink for the tests to find the replace util
ln -s "${BUILD_DIR}/extra/replace" "${BUILD_DIR}/client/"
# These are failing in MariaDB 5.5 for now and are believed to
be
# false positives:
#
# main.information_schema,
binlog.binlog_statement_insert_delayed,
# main.mysqld--help, funcs_1.is_triggers,
funcs_1.is_tables_mysql,
# funcs_1.is_columns_mysql
# fails due to USE=-latin1 / utf8 default
#
# main.mysql_client_test, main.mysql_client_test_nonblock:
# segfaults at random under Portage only, suspect resource
limits.
#
for t in main.mysql_client_test main.mysql_client_test_nonblock
\
binlog.binlog_statement_insert_delayed
main.information_schema \
main.mysqld--help \
funcs_1.is_triggers funcs_1.is_tables_mysql
funcs_1.is_columns_mysql ; do
mysql-v2_disable_test "$t" "False positives in
Gentoo"
done
# Run mysql tests
pushd "${TESTDIR}"
# run mysql-test tests
perl mysql-test-run.pl --force --vardir="${T}/var-tests" \
--testcase-timeout=30
retstatus_tests=$?
[[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
popd
# Cleanup is important for these testcases.
pkill -9 -f "${S}/ndb" 2>/dev/null
pkill -9 -f "${S}/sql" 2>/dev/null
failures=""
[[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
[[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
[[ -z "$failures" ]] || die "Test failures: $failures"
einfo "Tests successfully completed"
else
einfo "Skipping server tests due to minimal build."
fi
}
1.1 dev-db/mariadb/mariadb-10.0.19.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mariadb/mariadb-10.0.19.ebuild?rev=1.1&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mariadb/mariadb-10.0.19.ebuild?rev=1.1&content-type=text/plain
Index: mariadb-10.0.19.ebuild
===================================================================
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/mariadb/mariadb-10.0.19.ebuild,v 1.1
2015/05/09 18:53:27 grknight Exp $
EAPI="5"
MY_EXTRAS_VER="20141215-0144Z"
inherit toolchain-funcs mysql-multilib
# only to make repoman happy. it is really set in the eclass
IUSE="$IUSE"
# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh
~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux
~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
# When MY_EXTRAS is bumped, the index should be revised to exclude these.
EPATCH_EXCLUDE=''
DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
RDEPEND="${RDEPEND}"
# Official test instructions:
# USE='embedded extraengine perl ssl static-libs community' \
# FEATURES='test userpriv -usersandbox' \
# ebuild mariadb-X.X.XX.ebuild \
# digest clean package
multilib_src_test() {
if ! multilib_is_native_abi ; then
einfo "Server tests not available on non-native abi".
return 0;
fi
local TESTDIR="${BUILD_DIR}/mysql-test"
local retstatus_unit
local retstatus_tests
# Bug #213475 - MySQL _will_ object strenously if your machine is named
# localhost. Also causes weird failures.
[[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be
named localhost"
if ! use "minimal" ; then
if [[ $UID -eq 0 ]]; then
die "Testing with FEATURES=-userpriv is no longer
supported by upstream. Tests MUST be run as non-root."
fi
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
addpredict /this-dir-does-not-exist/t9.MYI
# Run CTest (test-units)
cmake-utils_src_test
retstatus_unit=$?
[[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
# Ensure that parallel runs don't die
export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
# Enable parallel testing, auto will try to detect number of
cores
# You may set this by hand.
# The default maximum is 8 unless MTR_MAX_PARALLEL is increased
export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
# create directories because mysqladmin might right out of order
mkdir -p "${T}"/var-tests{,/log}
# These are failing in MariaDB 10.0 for now and are believed to
be
# false positives:
#
# main.information_schema,
binlog.binlog_statement_insert_delayed,
# main.mysqld--help, funcs_1.is_triggers,
funcs_1.is_tables_mysql,
# funcs_1.is_columns_mysql main.bootstrap
# fails due to USE=-latin1 / utf8 default
#
# main.mysql_client_test, main.mysql_client_test_nonblock
# main.mysql_client_test_comp:
# segfaults at random under Portage only, suspect resource
limits.
#
for t in main.mysql_client_test main.mysql_client_test_nonblock
\
main.mysql_client_test_comp \
binlog.binlog_statement_insert_delayed
main.information_schema \
main.mysqld--help main.bootstrap \
funcs_1.is_triggers funcs_1.is_tables_mysql
funcs_1.is_columns_mysql ; do
mysql-multilib_disable_test "$t" "False
positives in Gentoo"
done
# Run mysql tests
pushd "${TESTDIR}"
# run mysql-test tests
perl mysql-test-run.pl --force --vardir="${T}/var-tests"
retstatus_tests=$?
[[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
popd
# Cleanup is important for these testcases.
pkill -9 -f "${S}/ndb" 2>/dev/null
pkill -9 -f "${S}/sql" 2>/dev/null
failures=""
[[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
[[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
[[ -z "$failures" ]] || die "Test failures: $failures"
einfo "Tests successfully completed"
else
einfo "Skipping server tests due to minimal build."
fi
}